Package com.trilead.ssh2

# Class SFTPv3DirectoryEntry

java.lang.Object
com.trilead.ssh2.SFTPv3DirectoryEntry

public class SFTPv3DirectoryEntry extends Object
A `SFTPv3DirectoryEntry` as returned by `SFTPv3Client.ls(String)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`SFTPv3FileAttributes`
`attributes`
The attributes of this entry.
`String`
`filename`
A relative name within the directory, without any path components.
`String`
`longEntry`
An expanded format for the file name, similar to what is returned by "ls -l" on Un*x systems.

## Constructor Summary

Constructors
Constructor
Description
`SFTPv3DirectoryEntry()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### filename

public String filename
A relative name within the directory, without any path components.

### longEntry

public String longEntry
An expanded format for the file name, similar to what is returned by "ls -l" on Un*x systems.

The format of this field is unspecified by the SFTP v3 protocol. It MUST be suitable for use in the output of a directory listing command (in fact, the recommended operation for a directory listing command is to simply display this data). However, clients SHOULD NOT attempt to parse the longname field for file attributes; they SHOULD use the attrs field instead.

The recommended format for the longname field is as follows:
`-rwxr-xr-x 1 mjos staff 348911 Mar 25 14:29 t-filexfer`

### attributes

public SFTPv3FileAttributes attributes
The attributes of this entry.

## Constructor Details

### SFTPv3DirectoryEntry

public SFTPv3DirectoryEntry()